## oem-config 1.8

=== d-i/Makefile ===
unexport DH_OPTIONS

APTDIR := apt
LISTDIR := lists
SOURCEDIR := source

ifndef DEB_HOST_ARCH
DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
endif

PACKAGES := $(shell cat $(LISTDIR)/any)
ifneq (,$(wildcard $(LISTDIR)/$(DEB_HOST_ARCH)))
PACKAGES += $(shell cat $(LISTDIR)/$(DEB_HOST_ARCH))
endif
# We don't need to build console-setup.
PACKAGES := $(filter-out console-setup,$(PACKAGES))

update:
	./get-sources update
	./get-sources $(shell sort -u $(LISTDIR)/*)
	./update-control
	./update-changelog

maintainer-clean:
	rm -rf $(SOURCEDIR)

build:
	set -e; for package in $(PACKAGES); do \
		if [ -d "$(SOURCEDIR)/$$package" ]; then \
			(cd "$(SOURCEDIR)/$$package" && debian/rules build); \
		fi; \
	done

clean:
	rm -rf $(APTDIR)
	for dir in $(SOURCEDIR)/*; do \
		if [ -d "$$dir" ]; then \
			(cd "$$dir" && debian/rules clean); \
		fi; \
	done
	rm -f $(SOURCEDIR)/*.deb $(SOURCEDIR)/*.udeb
	rm -f manifest.old
	rm -rf udeb-control templates

install:
	set -e; for package in $(PACKAGES); do \
		if [ -d "$(SOURCEDIR)/$$package" ]; then \
			(export NO_PKG_MANGLE=1; \
			 cd "$(SOURCEDIR)/$$package" && \
			 debian/rules binary && \
			 rm -rf debian/*/DEBIAN); \
		fi; \
	done
	rm -rf udeb-control templates
	mkdir -p udeb-control
	set -e; for udeb in $(SOURCEDIR)/*.udeb; do \
		if [ -f "$$udeb" ]; then \
			name="$$(basename "$$udeb" .udeb)"; \
			dpkg-deb -e "$$udeb" "udeb-control/$$name"; \
			if [ -f "udeb-control/$$name/templates" ]; then \
				sed -n '/./,$$p' "udeb-control/$$name/templates" | \
					grep -iv '^indices.*:' >> templates; \
				if [ "$$(tail -n1 templates)" ]; then \
					echo >> templates; \
				fi; \
			fi; \
		fi; \
	done

.PHONY: update build clean install

=== d-i/source/console-setup/Makefile ===
etcdir = /etc
prefix = /usr/local
xkbdir = $(shell pwd)/Keyboard/ckb
export xkbdir

bootprefix = $(patsubst %/usr,%/,$(prefix:%/=%))

SHELL = /bin/sh

all: build

build:
	cd Fonts && $(MAKE) build
	cd Keyboard && $(MAKE) build
	touch build

.PHONY: install
install: build
	install -d $(prefix)/share/consolefonts/
	install -m 644 Fonts/*.psf.gz $(prefix)/share/consolefonts/
	install -d $(prefix)/share/consoletrans
	install -m 644 Keyboard/acm/*.acm.gz $(prefix)/share/consoletrans
	install -d $(prefix)/share/console-setup
	install -m 644 Keyboard/KeyboardNames.pl $(prefix)/share/console-setup
	install Keyboard/kbdnames-maker $(prefix)/share/console-setup
	install -d  $(prefix)/bin/
	install Keyboard/ckbcomp $(prefix)/bin/
	install -d  $(bootprefix)/bin/
	install setupcon $(bootprefix)/bin/
	install -d $(etcdir)/console-setup
	install -m 644 Keyboard/compose.*.inc $(etcdir)/console-setup/
	cp -r Keyboard/ckb/ $(etcdir)/console-setup/
#	cp Keyboard/rules $(etcdir)/console-setup/ckb/rules/console
#	cp Keyboard/rules.xml $(etcdir)/console-setup/ckb/rules/console.xml
	install -d $(etcdir)/default
	install -m 644 config $(etcdir)/default/console-setup

.PHONY: uninstall
uninstall: build
	-for font in Fonts/*.psf.gz; do \
		rm $(prefix)/share/consolefonts/$${font##*/}; \
	done
	-for acm in Keyboard/acm/*.acm.gz; do \
		rm $(prefix)/share/consoletrans/$${acm##*/}; \
	done
	-rm -rf $(etcdir)/console-setup/
	-rm $(prefix)/bin/ckbcomp
	-rm $(bootprefix)/bin/setupcon

.PHONY: clean
clean:
	cd Fonts && $(MAKE) clean
	cd Keyboard && $(MAKE) clean
	-rm -f *~
	-rm -f build

.PHONY: maintainer-clean
maintainer-clean: clean
	cd Fonts && $(MAKE) maintainer-clean
	cd Keyboard && $(MAKE) maintainer-clean

=== d-i/source/console-setup/Keyboard/Makefile ===
SHELL = /bin/sh

build : compose_files gziped_acmfiles KeyboardNames.pl MyKeyboardNames.pl

models = amiga ataritt macintosh_old pc105 sun4 sun5

gziped_ekmaps =  $(addsuffix .ekmap.gz, $(models))

build-mini : $(gziped_ekmaps) pc105.tree

%.gz : %
	gzip -9 <$< >$@

%.ekmap : 
	./kbdcompiler $(@:%.ekmap=%) MyKeyboardNames.pl $(xkbdir) >$@

%.tree : %.ekmap.gz keymaptree.use
	./keymaptree -output $@ -useonly "$$(< keymaptree.use grep -v '^#' | xargs | sed 's/ /,/g')" $(@:%.tree=%)

acmfiles = $(wildcard acm/*.acm)

gziped_acmfiles = $(addsuffix .gz, $(acmfiles))

gziped_acmfiles : $(gziped_acmfiles)

charmaps = $(basename $(notdir $(acmfiles)))

compose_files = $(addprefix compose.,$(addsuffix .inc, $(charmaps)))

$(compose_files): charmap = $(patsubst compose.%.inc,%, $@)

VISCII-XCOMPOSE = locale/vi_VN.viscii/Compose
ISO-8859-1-XCOMPOSE = locale/iso8859-1/Compose
ISO-8859-2-XCOMPOSE = locale/iso8859-2/Compose
ISO-8859-3-XCOMPOSE = locale/iso8859-3/Compose
ISO-8859-4-XCOMPOSE = locale/iso8859-4/Compose
ISO-8859-7-XCOMPOSE = locale/iso8859-7/Compose
ISO-8859-9-XCOMPOSE = locale/iso8859-9/Compose
ISO-8859-13-XCOMPOSE = locale/iso8859-13/Compose
ISO-8859-14-XCOMPOSE = locale/iso8859-14/Compose
ISO-8859-15-XCOMPOSE = locale/iso8859-15/Compose


$(compose_files) :
	echo '# Compose sequences for $(charmap)' >$@
	$(if $($(charmap)-XCOMPOSE), \
		./compose_translator --acm acm/$(charmap).acm \
				     $($(charmap)-XCOMPOSE) >>$@)

compose_files : $(compose_files)


.PHONY: clean
clean:
	-rm -f *~
	-rm -f acm/*.acm.gz
	-rm -rf compose $(compose_files)
	-rm -rf keymaps tree-keymaps
	-rm -f keymaps.dir names.list
	-rm -f $(gziped_ekmaps)
	-rm -f MyKeyboardNames.pl

.PHONY: maintainer-clean
maintainer-clean: clean
	./xmlreader >KeyboardNames.pl

KeyboardNames.pl:
	./xmlreader >KeyboardNames.pl

MyKeyboardNames.pl:
	./xmlreader $(xkbdir)/rules/xorg.xml >MyKeyboardNames.pl

=== d-i/source/localechooser/debian/changelog ===
localechooser (1.20ubuntu8) edgy; urgency=low

  * Fetch the previous language before processing preseeding, so that
    preseeding still works properly (closes: Malone #66532).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 Oct 2006 12:58:44 +0100

localechooser (1.20ubuntu7) edgy; urgency=low

  * If the language question was already marked as seen and the answer
    didn't change, then don't recalculate the locale (closes: Malone #63569;
    also see Malone #60067).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  9 Oct 2006 10:40:02 +0100

localechooser (1.20ubuntu6) edgy; urgency=low

  * Remove oem-config-locale package, moved into oem-config proper.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Aug 2006 16:37:08 +0100

localechooser (1.20ubuntu5) edgy; urgency=low

  * Ignore failures from locale-gen.
  * Backport from trunk:
    - Fix check-data target.
    - Fix incorrect field ordering in Finnish languagelist line.
  * Add encoding field to languagelist file and use the full SUPPORTED file
    rather than SUPPORTED-short, so that we can tell that (e.g.) se_NO and
    vi_VN are really UTF-8 locales (closes: Malone #47742).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  3 Aug 2006 04:55:38 +0100

localechooser (1.20ubuntu4) edgy; urgency=low

  * Backport from trunk:
    - Fix mktemplates.country to avoid bashisms and reliance on multiple
      counterintuitive backslash expansions.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 19 Jul 2006 15:59:16 +0100

localechooser (1.20ubuntu3) edgy; urgency=low

  * Backport from trunk:
    - Fix mk_shortlist_templates to avoid literal "EN_DESCR" showing up in
      templates files when countrychooser/shortlist is untranslated in the
      associated language.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 16 Jul 2006 13:07:52 +0100

localechooser (1.20ubuntu2) edgy; urgency=low

  * Ignore errors while unregistering shortlist templates (e.g. not
    previously registered).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 13 Jul 2006 14:52:50 +0100

localechooser (1.20ubuntu1) edgy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 10 Jul 2006 16:30:37 +0100

localechooser (1.20) unstable; urgency=low

  [ Christian Perrier ]
  * Add localized name for Malay
  * Add (commented) entry for Malay
  * Add localized name for Marathi
  * Add (commented) entry for Marathi
  * Switch Russian console to UTF-8 on the installed system
    Closes: #376414
  * Removed Standards-Version in control. Not meaningful for udebs

  [ Colin Watson ]
  * Put debhelper in Build-Depends rather than in Build-Depends-Indep.
  * Remove some dead code in locale2langname.
  * Never select C when preseeding debian-installer/locale=en_*.
  * Fix handling of debian-installer/locale preseeding to cope with
    languages that only have ll_CC in shortlists.
  * Fix bashism in mkshort leading to incorrect contents of shortlist
    templates when /bin/sh is dash.

 -- Christian Perrier <bubulle@debian.org>  Sat,  8 Jul 2006 08:12:49 +0200

localechooser (1.19ubuntu1) edgy; urgency=low

  * Resynchronise with Debian.
  * Unregister shortlist templates before registering new ones, to ensure
    that the question gets effectively reset. The debconf specification does
    not say what happens when you re-register an existing template, and
    cdebconf and debconf have different (reasonable) interpretations;
    unregistration forces the old question to go away. This replaces
    previous hacks done for the benefit of oem-config.
  * Restore build-dependency on dash | ash, as dash is in Ubuntu's base
    system again.
  * Drop Default-$LANG.UTF-8: -> Default: shortlist template change, which
    is no longer needed thanks to the unregistration fix above.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 10 Jul 2006 12:12:31 +0100

localechooser (1.19) unstable; urgency=low

  * Rename prebaseconfig progress template.

 -- Joey Hess <joeyh@debian.org>  Wed,  7 Jun 2006 22:04:00 -0400

localechooser (1.18) unstable; urgency=low

  * Rename the prebaseconfig script to "finish-install" and install
    it to /usr/lib/finish-install.d

  [ Updated translations ]
  * Lithuanian (lt.po) by Kestutis Biliūnas

 -- Christian Perrier <bubulle@debian.org>  Mon,  5 Jun 2006 15:01:16 +0700

localechooser (1.17) unstable; urgency=low

  * Activate Georgian in the language list

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Catalan (ca.po) by Jordi Mallach
  * Basque (eu.po) by Piarres Beobide
  * Georgian (ka.po) by Aiet Kolkhi
  * Khmer (km.po) by Khoem Sokhem
  * Northern Sami (se.po) by Børre Gaup

 -- Christian Perrier <bubulle@debian.org>  Sun, 28 May 2006 16:12:44 +0200

localechooser (1.16) unstable; urgency=low

  * Activate Nepali in the language list

 -- Christian Perrier <bubulle@debian.org>  Thu, 18 May 2006 17:16:51 -0500

localechooser (1.15) unstable; urgency=low

  [ Christian Perrier ]
  * Add Valencian-Catalan to the languagelist (commented). Closes: #362502
  * Use critical priority for language and country questions. Closes: #367080

  [ Joey Hess ]
  * Remove some unnecessary logging of success and debug logging.
  * Discard locale-gen stdout.

 -- Christian Perrier <bubulle@debian.org>  Mon, 15 May 2006 07:45:03 -0500

localechooser (1.14) unstable; urgency=low

  [ Christian Perrier ]
  * Use new "flag" comment feature of po-debconf to avoid "${SHORTLIST}" to
    be included in translation files

  [ Frans Pop ]
  * Old-style options for head/tail are no longer supported by new busybox.
  * Write locale to /etc/default/locale in /target instead of d-i environment.

 -- Christian Perrier <bubulle@debian.org>  Fri,  5 May 2006 15:38:51 +0200

localechooser (1.13) unstable; urgency=low

  [ Joey Hess ]
  * Fix inverted entry for Dzongkha in languagelist.l10n.
  * debian-installer/fallbacklocale question is internal use only, so
    don't mark translatable.
  * Remove unused debian-installer/invalidlocale template.



=== d-i/source/user-setup/debian/changelog ===
user-setup (1.2ubuntu4) edgy; urgency=low

  * Backport from trunk (closes: Malone #50036):
    - Detect and error out on reserved usernames, i.e. those that are
      already used by some parts of the system. Unfortunately there's no
      particularly straightforward way to identify a reserved username, and
      the only way I can think of is to maintain a blacklist; so I've
      collated this from the base-passwd master files and those user and
      group names I found on some of my systems. Feel free to extend this as
      the need arises.
  * Backport from trunk (Christian Perrier):
    - Spell "username" consistently.
  * Update translations from trunk.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  4 Oct 2006 14:37:38 +0100

user-setup (1.2ubuntu3) edgy; urgency=low

  * Remove oem-config module, moved back into oem-config proper.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Aug 2006 17:12:04 +0100

user-setup (1.2ubuntu2) edgy; urgency=low

  * Backport from trunk:
    - Fix non-POSIX shell use that confuses busybox if the root password is
      currently set to "!".

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 16 Jul 2006 10:56:39 +0100

user-setup (1.2ubuntu1) edgy; urgency=low

  * Resynchronise with Debian.
  * Use "!" rather than "*" to lock the root password, in line with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 11 Jul 2006 14:01:27 +0100

user-setup (1.2) unstable; urgency=low

  [ Christian Perrier ]
  * Space-indentation cleanup in user-setup-ask.
  * Switch from prebaseconfig.d to finish-install.d

  [ Joey Hess ]
  * Comment out STATE debugging message.
  * Check for the passwd file before grepping it.

  [ Colin Watson ]
  * Be more paranoid about clearing passwords from the cdebconf database.
  * Fix up permissions of user's home directory in case a mount point was
    created underneath it by partman (closes:
    https://launchpad.net/bugs/16640).

  [ Joey Hess ]
  * Rename finish-install template.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Catalan (ca.po) by Jordi Mallach
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Dzongkha (dz.po)
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Italian (it.po) by Giuseppe Sacco
  * Georgian (ka.po) by Aiet Kolkhi
  * Kurdish (ku.po) by Erdal Ronahi
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Malagasy (mg.po) by Jaonary Rabarisoa
  * Macedonian (mk.po) by Georgi Stanojevski
  * Bokmål, Norwegian (nb.po) by Bjørn Steensrud
  * Nepali (ne.po) by Shiva Pokharel
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Portuguese (pt.po) by Miguel Figueiredo
  * Northern Sami (se.po) by Børre Gaup
  * Slovenian (sl.po) by Jure Čuhalev
  * Albanian (sq.po) by Elian Myftiu
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Turkish (tr.po) by Recai Oktaş
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov
  * Vietnamese (vi.po) by Clytie Siddall
  * Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Joey Hess <joeyh@debian.org>  Wed,  7 Jun 2006 22:13:44 -0400

user-setup (1.1ubuntu4) dapper-security; urgency=low

  * Refuse to apply an empty root password, which can happen if
    user-setup-apply is run twice due to backing up from prebaseconfig's
    final message (closes: Malone #48350).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 10 Jul 2006 17:43:34 +0100

user-setup (1.1ubuntu3) dapper; urgency=low

  * Fix breakage in Traditional Chinese translation (thanks, Tetralet).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 May 2006 14:40:02 +0100

user-setup (1.1ubuntu2) dapper; urgency=low

  * Backport from trunk (closes: Malone #16640):
    - Fix up permissions of user's home directory in case a mount point was
      created underneath it by partman.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 May 2006 17:03:06 +0100

user-setup (1.1ubuntu1) dapper; urgency=low

  * Resynchronise with Debian for new root-login question (closes: Malone
    #16139).
  * Default passwd/root-login to false to match previous Ubuntu behaviour.
  * As in previous Ubuntu versions, lock root password with "*", not "!".
    I'm not sure what would happen if I changed this right before the
    release of Dapper, but I don't want to find out.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 May 2006 15:49:57 +0100

user-setup (1.1) unstable; urgency=low

  [ Tollef Fog Heen ]
  * Don't use perl to pass parameters to chpasswd.

  [ Joey Hess ]
  * Add passwd/root-login question (asked at medium priority), currently
    defaulting to true.
  * If root-login is false, skip root password prompts, lock the root account,
    always make a user account, install sudo, and configure /etc/sudoers to
    allow the user to become root. Closes: #344873

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Bulgarian (bg.po) by Ognyan Kulev
  * Bengali (bn.po) by Baishampayan Ghose
  * Bosnian (bs.po) by Safir Secerovic
  * Catalan (ca.po) by Jordi Mallach
  * Czech (cs.po) by Miroslav Kure
  * Welsh (cy.po) by Dafydd Harries
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Dzongkha (dz.po) by Sonam Rinchen
  * Greek, Modern (1453-) (el.po) by quad-nrg.net
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Tapio Lehtonen
  * French (fr.po) by Christian Perrier
  * Irish (ga.po) by Kevin Patrick Scannell
  * Galician (gl.po) by Jacobo Tarrio
  * Hindi (hi.po) by Nishant Sharma
  * Hungarian (hu.po) by SZERVÑC Attila
  * Indonesian (id.po) by Parlin Imanuel Toh
  * Italian (it.po) by Stefano Canepa
  * Japanese (ja.po) by Kenshi Muto
  * Khmer (km.po) by Leang Chumsoben
  * Korean (ko.po) by Sunjae park
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Latvian (lv.po) by Aigars Mahinovs
  * Macedonian (mk.po) by Georgi Stanojevski
  * Bokmål, Norwegian (nb.po) by Bjørn Steensrud
  * Dutch (nl.po) by Bart Cornelis


=== debian/changelog ===
oem-config (1.8) edgy; urgency=low

  [ Colin Watson ]
  * Remove /var/lib/kdm/kdmsts in oem-config-firstboot after removing the
    oem user; KDM stores the default user there.
  * Automatic update of included source packages: console-setup 1.7ubuntu19,
    localechooser 1.20ubuntu8, user-setup 1.2ubuntu4.

  [ Anirudh Ramesh ]
  * KDE frontend: Fixed bug where set_country combobox was not being
    updated.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 21 Oct 2006 00:36:15 +0100

oem-config (1.7) edgy; urgency=low

  * Add oem-config-udeb/frontend question, defaulting to gtk; preseed this
    to install a different oem-config frontend on the target system (closes:
    Malone #62777).
  * Wait more or less properly by means of SIGUSR1 for the X server to start
    up, rather than arbitrarily sleeping for five seconds.
  * Don't actually import the frontend module in oem-config-dm; merely check
    whether it exists. Otherwise, at least gtk will try to contact the X
    server at import time and get very confused when it predictably isn't
    there (closes: Malone #62814).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  3 Oct 2006 22:04:48 +0100

oem-config (1.6) edgy; urgency=low

  * Add /usr/lib/oem-config to sys.path in oem-config-dm so that it can
    import frontend modules.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 27 Sep 2006 13:38:57 +0100

oem-config (1.5) edgy; urgency=low

  * Fix syntax error in oem-config-dm.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 25 Sep 2006 10:45:58 +0100

oem-config (1.4) edgy; urgency=low

  [ Anirudh Ramesh ]
  * KDE frontend: Reindented to match rest of project.
  * KDE frontend: Fixed crash in set_timezone.

  [ Colin Watson ]
  * Add frontend detection to oem-config-dm, so that KDE support can be
    filled in.

  [ Anirudh Ramesh ]
  * Add KDE support to oem-config-dm.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 22 Sep 2006 12:13:59 +0100

oem-config (1.3) edgy; urgency=low

  * Import subprocess in console-setup component (closes: Malone #60409).
  * Fix language name handling (closes: Malone #60410).
  * GTK frontend: Make the Forward button the default widget so that it's
    activated when Enter is pressed.
  * Add kde-ui to default frontend search list.
  * Automatic update of included source packages: console-setup 1.7ubuntu9.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 18 Sep 2006 14:26:02 +0100

oem-config (1.2) edgy; urgency=low

  * Merge from ubiquity:
    - Move from kbd-chooser to console-setup
      (https://launchpad.net/distros/ubuntu/+spec/sane-installer-keyboard).
      We still need to add a UI element for the keyboard variant, and
      translations of layout and variant names are missing, but it mostly
      seems to work.
    - Strip Fonts and Keyboard directories from our copy of console-setup;
      they're very large, and not needed since we don't actually build
      console-setup, but just copy a few scripts from it.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  7 Sep 2006 20:33:41 +0100

oem-config (1.1) edgy; urgency=low

  * Merge KDE frontend from Anirudh Ramesh.
  * Automatic update of included source packages: kbd-chooser 1.30ubuntu1,
    localechooser 1.20ubuntu6, tzsetup 1:0.10ubuntu2, user-setup 1.2ubuntu3.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  5 Sep 2006 17:24:33 +0100

oem-config (1.0) edgy; urgency=low

  * Reorganise oem-config to have a reasonable frontend/backend separation,
    thereby allowing for a future KDE port. This involved updating much of
    the core to look more like ubiquity (since ubiquity's core was an
    evolution of oem-config's), and a new UI using a single window/notebook
    rather than a succession of dialogs.
  * Casualties of this work include the whole base-config-like menu
    structure and the include/exclude mechanism. The menu structure made it
    difficult to avoid spawning a new dialog for each step, which was a poor
    UI; I don't believe the include/exclude mechanism was heavily used, but
    contact me if you were relying on it and it may be possible to restore
    it in a new form.
  * I haven't yet ported the new i18n infrastructure from ubiquity, so the
    oem-config UI will be untranslated.
  * Like ubiquity, we now incorporate source for all d-i components we use
    under d-i/source/ and include them directly in our binary package,
    reducing the number of complex interdependencies with d-i packages.
    'debian/rules update' can be used to do automatic updates of these
    copied source packages.
  * Remove some leftover code that dealt with restoring the inittab, as we
    don't do the temporary inittab thing any more.
  * Fix kbd-chooser wrapper script to actually install the selected keymap
    (though only for the console at present).
  * Move from prebaseconfig to finish-install.
  * Make oem-config Architecture: any, since it now includes kbd-chooser
    binaries.
  * Add an oem-config-gtk package for the GTK frontend.
  * Convert to python-support.
  * Fix apt-install compatibility wrapper to use debconf's noninteractive
    frontend, tell debconf not to send e-mail, avoid upgrading, ignore GPG
    time conflicts, and suppress prompts.
  * Update localechooser wrapper to handle /etc/default/locale (based on
    localechooser 0.19) and to use /usr/share/i18n/SUPPORTED (based on
    localechooser 1.20ubuntu5).
  * Make more of an effort to display translated country names.
  * Use /bin/bash for user-setup due to a dash test(1) bug.
  * Language names are now sorted according to the local name for each
    language (closes: Malone #47724).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Aug 2006 16:26:07 +0100

=== d-i/source/localechooser/debian/control ===
Source: localechooser
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 4.2)
Build-Depends-Indep: dash | ash, dpkg-dev (>= 1.9), locales, iso-codes (>= 0.21-1), intltool-debian (>= 0.30+20040212), po-debconf, python, python-xml

Package: localechooser
XC-Package-Type: udeb
Architecture: all
Depends: cdebconf-udeb, iso-3166-udeb, di-utils (>= 1.15)
XB-Installer-Menu-Item: 10
Description: choose language/country/locale

Package: localechooser-data
Section: devel
Priority: optional
Architecture: all
Depends: iso-codes
Description: Lists of locales supported by the installer
 This package contains lists of languages, countries, and locales supported
 by the installer, for use by programs that create automatic installation
 scripts.

=== d-i/source/user-setup/debian/control ===
Source: user-setup
Section: debian-installer
Priority: extra
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Christian Perrier <bubulle@debian.org>, Colin Watson <cjwatson@debian.org>
Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.7.0), po-debconf (>= 0.5.0)
Standards-Version: 3.6.2

Package: user-setup-udeb
XC-Package-Type: udeb
Architecture: all
Priority: standard
XB-Installer-Menu-Item: 63
Description: Set up users and passwords
Depends: cdebconf-udeb

Package: user-setup
Architecture: all
Section: admin
Priority: extra
Depends: ${misc:Depends}, passwd, adduser
Description: Set up initial user and password
 This package creates an initial user, using the same code as is
 responsible for creating the initial user in the installer. It is only
 likely to be of any use if your system has no non-system users at all.

=== debian/control ===
Source: oem-config
Section: admin
Priority: extra
Maintainer: Colin Watson <cjwatson@ubuntu.com>
Build-Depends: apt, dash, debhelper (>= 5.0.37.2), dpkg-dev (>= 1.9), grep-dctrl, intltool-debian (>= 0.30+20040212), iso-codes (>= 0.21-1), locales, po-debconf (>= 0.5.0), python, python-support (>= 0.3), python-xml
Standards-Version: 3.6.2

Package: oem-config
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, debconf (>= 1.4.52), oem-config-frontend-${source:Version}, xserver-xorg, localechooser-data, iso-codes, apt, locales (>= 2.3.7-1), console-setup, passwd, adduser
Recommends: hwdb-client
Conflicts: oem-config-keyboard, oem-config-locale, oem-config-timezone
Replaces: oem-config-keyboard, oem-config-locale, oem-config-timezone
XB-Python-Version: ${python:Versions}
Description: Perform end-user configuration after initial installation
 The oem-config script re-asks a number of questions that are normally asked
 during installation, and reconfigures the system accordingly. This allows a
 vendor to install a skeleton system, clone it onto a large number of
 machines, and ship it to end users, while still allowing end users to set
 up their own username and password, language, timezone, and so on.

Package: oem-config-gtk
Architecture: all
Depends: ${python:Depends}, oem-config, python-gtk2, python-glade2, metacity
Replaces: oem-config (<< 1.0)
Provides: oem-config-frontend-${source:Version}
XB-Python-Version: ${python:Versions}
Description: GTK+ frontend for end-user post-install configuration
 The oem-config script re-asks a number of questions that are normally asked
 during installation, and reconfigures the system accordingly. This allows a
 vendor to install a skeleton system, clone it onto a large number of
 machines, and ship it to end users, while still allowing end users to set
 up their own username and password, language, timezone, and so on.
 .
 This is a GTK+ frontend to oem-config.

Package: oem-config-kde
Architecture: all
Depends: ${python:Depends}, oem-config, python-kde3, xsetroot, kwin
Replaces: oem-config (<< 1.0)
Provides: oem-config-frontend-${source:Version}
XB-Python-Version: ${python:Versions}
Description: KDE frontend for end-user post-install configuration
 The oem-config script re-asks a number of questions that are normally asked
 during installation, and reconfigures the system accordingly. This allows a
 vendor to install a skeleton system, clone it onto a large number of
 machines, and ship it to end users, while still allowing end users to set
 up their own username and password, language, timezone, and so on.
 .
 This is a KDE frontend to oem-config.

Package: oem-config-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: all
Depends: cdebconf-udeb
XB-Installer-Menu-Item: 28
Description: Prepare for end-user configuration after initial installation

=== d-i/source/console-setup/debian/rules ===
#!/usr/bin/make -f

SHELL = /bin/bash

xkbdir = /usr/share/X11/xkb
export xkbdir

main_build:
	$(MAKE)
	cd Keyboard && $(MAKE) build-mini
	touch main_build

debian/console-setup.config debian/console-setup-mini.config: debian/config.proto main_build
	awk ' \
/## *FONTSETS *##/ { \
    printf "fontsets='\''"; \
    system("cd Fonts && ls *.psf | sed '\''s/.psf$$//'\''"); \
    printf "'\''"; \
    next; \
} \
/## *CHARMAPS *##/ { \
    printf "charmaps='\''"; \
    system("cd Keyboard && ls acm/*.acm |sed -e '\''s/^acm.//'\'' -e '\''s/.acm$$//'\''"); \
    printf "UTF-8'\''\n"; \
    next; \
} \
/## *KBDNAMES *##/ { \
    printf "kbdnames='\''"; \
    system("cd Keyboard && ./kbdnames-maker MyKeyboardNames.pl"); \
    printf "'\''"; \
    next; \
} \
{ \
   print; \
}' debian/config.proto >debian/console-setup.config
	cp debian/console-setup.config debian/console-setup-mini.config

build: main_build debian/console-setup.config debian/console-setup-mini.config

.PHONY : clean
clean:
	dh_testdir
	-$(MAKE) maintainer-clean
	-rm -f build main_build
	-rm -f debian/*.config
	-rm -f debian/*~
	dh_clean

.PHONY : install
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
# console-setup-mini
	dh_install -pconsole-setup-mini Keyboard/*.ekmap.gz \
		usr/share/console-setup-mini
	dh_install -pconsole-setup-mini Fonts/Arabic-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Armenian-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/CyrAsia-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/CyrKoi-TerminusBold16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/CyrSlav-TerminusBold16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Ethiopian-Goha16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Georgian-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Greek-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Hebrew-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Lao-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Lat15-TerminusBold16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Lat2-TerminusBold16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Lat38-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Lat7-TerminusBold16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Thai-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Uni1-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Uni2-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Uni3-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Vietnamese-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Keyboard/ckbcomp-mini usr/bin
	dh_link -pconsole-setup-mini usr/bin/ckbcomp-mini usr/bin/ckbcomp
	dh_install -pconsole-setup-mini setupcon bin
	install -d debian/console-setup-mini/etc/default/
	install -d debian/console-setup-mini/etc/console-setup/
	install -d debian/console-setup-mini/usr/share/doc/console-setup-mini/examples/
	cp config debian/console-setup-mini/usr/share/doc/console-setup-mini/examples/console-setup
	rm -rf `find debian/console-setup-mini -name .cvsignore`
	rm -rf `find debian/console-setup-mini -name .svn`
# console-setup-*-ekmap
	dh_install -pconsole-setup-amiga-ekmap Keyboard/amiga.ekmap.gz \
		usr/share/console-setup-mini
	dh_install -pconsole-setup-ataritt-ekmap Keyboard/ataritt.ekmap.gz \
		usr/share/console-setup-mini
	dh_install -pconsole-setup-macintoshold-ekmap Keyboard/macintosh_old.ekmap.gz \
		usr/share/console-setup-mini
	dh_install -pconsole-setup-pc-ekmap Keyboard/pc105.ekmap.gz Keyboard/pc105.tree \
		usr/share/console-setup-mini
	dh_install -pconsole-setup-sun4-ekmap Keyboard/sun4.ekmap.gz \
		usr/share/console-setup-mini
	dh_install -pconsole-setup-sun5-ekmap Keyboard/sun5.ekmap.gz \
		usr/share/console-setup-mini
# console-setup-fonts-udeb
	dh_install -pconsole-setup-fonts-udeb Fonts/Arabic-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Armenian-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/CyrAsia-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/CyrKoi-TerminusBold16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/CyrSlav-TerminusBold16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Ethiopian-Goha16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Georgian-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Greek-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Hebrew-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Lao-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Lat15-TerminusBold16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Lat2-TerminusBold16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Lat38-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Lat7-TerminusBold16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Thai-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Uni1-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Uni2-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Uni3-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Vietnamese-Fixed16.psf.gz \
		usr/share/consolefonts
# console-setup-udeb
	dh_install -pconsole-setup-udeb Keyboard/ckbcomp-mini usr/bin
	dh_link -pconsole-setup-udeb usr/bin/ckbcomp-mini usr/bin/ckbcomp
	dh_install -pconsole-setup-udeb setupcon bin
	dh_install -p console-setup-udeb debian/console-setup.config usr/share/console-setup-mini
	dh_installdirs -p console-setup-udeb lib/debian-installer.d
	install -m0644 debian/console-setup-udeb.startup \
		debian/console-setup-udeb/lib/debian-installer.d/S55console-setup
	dh_installdirs -p console-setup-udeb usr/lib/post-base-installer.d
	install -m0755 debian/console-setup-udeb.post-base-installer \
		debian/console-setup-udeb/usr/lib/post-base-installer.d/20console-setup
	dh_installdirs -p console-setup-udeb etc/default
	dh_installdirs -p console-setup-udeb etc/console-setup/
	dh_installdirs -p console-setup-udeb usr/share/doc/console-setup-mini/examples/
	cp config debian/console-setup-udeb/usr/share/doc/console-setup-mini/examples/console-setup
	rm -rf `find debian/console-setup-udeb -name .cvsignore`
	rm -rf `find debian/console-setup-udeb -name .svn`
# console-setup
	$(MAKE) etcdir=debian/console-setup/etc \
		prefix=debian/console-setup/usr install
	rm debian/console-setup/usr/share/consolefonts/*-Terminus*.psf.gz
	rm -rf debian/console-setup/etc/console-setup/ckb/
	install -d debian/console-setup/usr/share/doc/console-setup/examples/
	mv debian/console-setup/etc/default/console-setup \
		debian/console-setup/usr/share/doc/console-setup/examples/
	rm -rf `find debian/console-setup -name .cvsignore`
	rm -rf `find debian/console-setup -name .svn`
# bdf2psf
	dh_install -pbdf2psf Fonts/bdf2psf usr/bin/
	dh_install -pbdf2psf Fonts/*.equivalents Fonts/*.set \
		Fonts/fontsets usr/share/bdf2psf
	rm -rf `find debian/bdf2psf -name .cvsignore`
	rm -rf `find debian/bdf2psf -name .svn`
# common
	dh_installinit --no-start --name keyboard-setup -- start 06 S .
	dh_installinit --no-start --name console-setup -- start 49 S .

=== d-i/source/localechooser/debian/rules ===
#! /usr/bin/make -f

PACKAGE=localechooser
DATAPACKAGE=localechooser-data

build: build-stamp
build-stamp:
	dh_testdir
	chmod u+x ./mktemplates.country ./get-iso-codes ./mk_shortlist_templates
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	rm -rf debian/pobuild debian/iso-codes debian/short-tmp debian/locales
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -i
	dh_install -p$(PACKAGE) localechooser languagemap usr/bin
	mkdir -p debian/$(PACKAGE)/DEBIAN
	install -m0755 post-base-installer debian/$(PACKAGE)/usr/lib/post-base-installer.d/05localechooser
	install -m0755 finish-install debian/$(PACKAGE)/usr/lib/finish-install.d/05localechooser
	cat languagelist | grep -v "^#.*" >debian/$(PACKAGE)/usr/share/localechooser/languagelist
	chmod 0644 debian/$(PACKAGE)/usr/share/localechooser/languagelist
	dh_installdirs -p$(PACKAGE) etc
	# The following while we have no other way to get SUPPORTED
	# Should become useless when we will have it
	install -m644 /usr/share/i18n/SUPPORTED debian/$(PACKAGE)/usr/share/localechooser/SUPPORTED
	install -m644 debian/short-tmp/shortlists debian/$(PACKAGE)/etc/shortlists
	dh_install -p$(DATAPACKAGE) default-country languagelist regionmap debian/short-tmp/shortlists usr/share/localechooser

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs -p$(DATAPACKAGE)
	dh_installchangelogs -p$(DATAPACKAGE)
	dh_installdebconf -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_builddeb -i

binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/rules ===
#! /usr/bin/make -f

tmp = $(CURDIR)/debian/oem-config

update:
	$(MAKE) -C d-i update

lib/keyboard_names.py: d-i/source/console-setup/Keyboard/KeyboardNames.pl
	d-i/make-keyboard-names $< > $@

build: lib/keyboard_names.py
	$(MAKE) -C d-i build

clean:
	dh_testdir
	dh_testroot
	find -type f -name '*.pyc' -print0 | xargs -0r rm -f
	$(MAKE) -C d-i clean
	dh_clean lib/keyboard_names.py

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -a
	$(MAKE) -C d-i install
	dh_install -a

	# Bits of manual installation that can't be done by dh_install
	sed 's,/usr/share/console-setup-mini,/usr/lib/oem-config/console-setup,g' \
		d-i/source/console-setup/debian/console-setup.postinst \
		> debian/oem-config/usr/lib/oem-config/console-setup/console-setup.postinst
	chmod +x debian/oem-config/usr/lib/oem-config/console-setup/console-setup.postinst
	sed 's,/usr/share/tzsetup,/usr/lib/oem-config/timezone,g' \
		d-i/source/tzsetup/tzsetup \
		> debian/oem-config/usr/lib/oem-config/timezone/tzsetup
	chmod +x debian/oem-config/usr/lib/oem-config/timezone/tzsetup
	for x in user-setup user-setup-ask user-setup-apply; do \
		sed -e 's,/usr/lib/user-setup,/usr/lib/oem-config/user,g' \
		    -e 's,/bin/sh,/bin/bash,g' \
			d-i/source/user-setup/$$x \
			> debian/oem-config/usr/lib/oem-config/user/$$x; \
		chmod +x debian/oem-config/usr/lib/oem-config/user/$$x; \
	done

	cp debian/lintian-override $(tmp)/usr/share/lintian/overrides/oem-config
	dh_installdebconf -a
	echo >> debian/oem-config/DEBIAN/templates
	cat d-i/templates >> debian/oem-config/DEBIAN/templates
	dh_installdocs -a
	dh_installchangelogs -a
	dh_installinit -a -n
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_pysupport -a
	dh_python -a
	dh_installdeb -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary-indep:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -i
	dh_install -i
	dh_installdebconf -i
	dh_compress -i
	dh_fixperms -i
	dh_pysupport -i /usr/lib/oem-config
	dh_python -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary: binary-arch binary-indep

.PHONY: build clean binary-arch binary-indep binary
